Subject: [clisp-list] http-server for clisp?

From: [email-masked]
Date: Fri Sep 13 08:29:03 2002

hi,
i'm desperately in search of an http-server running with clisp. For the
integration of a distributed
(non-commercial!) a.i.-system i need something like cl-http (unfortunately i
found no port for clisp).
All modules to integrate are specifically coded for clisp and run very
slowly under cmucl...
Most of the features offered by cl-http are unnecessary for our purpose;
because we just use
form-html, good support for the post() method of the http-protocol should be
included in the server.
any help would be great!

-- 
*** martin beckmann
*** homepage:
http://www-lehre.informatik.uni-osnabrueck.de/~martbeck/

---

From: Sam Steingold <[email-masked]>
Date: Fri Sep 13 08:50:12 2002

> * In message <[email-masked]>
> * On the subject of "[clisp-list] http-server for clisp?"
> * Sent on Fri, 13 Sep 2002 17:28:19 +0200 (MEST)
> * Honorable [email-masked] writes:
>
> i'm desperately in search of an http-server running with clisp. For
> the integration of a distributed (non-commercial!) a.i.-system i need
> something like cl-http (unfortunately i found no port for clisp).  All
> modules to integrate are specifically coded for clisp and run very
> slowly under cmucl...  Most of the features offered by cl-http are
> unnecessary for our purpose; because we just use form-html, good
> support for the post() method of the http-protocol should be included
> in the server.  any help would be great!

1. CLISP comes with inspect.lisp which implements a rudimentary HTTP
   interaction.

2. CLOCC (http://clocc.sf.net) has an HTTP server in <CLOCC/src/donc>.

3. CLOCC/src/cllib has url.lisp - URL parsing &c (mostly client stuff)

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.3 GNU/Linux
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
The program isn't debugged until the last user is dead.

---

From: Marco Baringer <[email-masked]>
Date: Fri Sep 13 09:21:03 2002

> 3. CLOCC/src/cllib has url.lisp - URL parsing &c (mostly client stuff)

4. Apache+mod_lisp - you might want to take url.lisp and pieces of
   donc so that you don't have to do the HTTP massaging yourself.

-- 
-Marco
Ring the bells that still can ring.
Forget your perfect offering.
There is a crack in everything.
That's how the light gets in.
     -Leonard Cohen